STRUCT TEMP(3)

NAME
boost::intrusive::constant_time_size

SYNOPSIS

// In header: <boost/intrusive/options.hpp>
template<bool Enabled>
struct constant_time_size {
  // member classes/structs/unions
  // @ template<class Base>
  struct pack {
    static const bool constant_time_size;
  };
};

DESCRIPTION

This option setter specifies if the intrusive container stores its size as a member to obtain constant-time size() member.